<?php
	
	//$b = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );
	
	$e = liefere_postkorb_elemente( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "b", false, true );
	
	
	$g = in_welchen_gruppen_ist_benutzer_mitglied( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );
	
	
	
	foreach ( $g[ 2 ] as $gruppenname )
	{
		$gr = liefere_postkorb_elemente( $_SESSION[ "mandant_name" ], $gruppenname, "g", false, true );
		
		if ( $gr[ 0 ] > 0 )
		{
			foreach( $gr[ 2 ] as $eintrag )
			{
				$e[ 2 ][] = $eintrag;
			}
		}
	}
	
	
	
	
	//xlog( 4, json_encode( $e ) );
	
	if ( count( $e[ 2 ] ) > 0 )
	{
		$html = "<center><h1 style='padding-bottom:15px;'>Erinnerungen an Dokumente</h1>";
		
		$z = liefere_zufaelligen_string( 15 );
		
		$html = $html."<input type='button' onclick='$(\"#dokumentanzeige\").toggle();' value='Dokumentanzeige an/aus' />";
		
		$html = $html."<div style='max-width:1200px;'><table id='postkorb_elemente".$z."' class='compact display' >";
		$html = $html."<thead><tr><th>Info</th><th>T</th><th style='display:none;'>Dok-ID</th><th style='display:none;' >Element-ID</th><th>Titel</th><th>Betreff</th><th>Empfänger</th><th>Absender</th><th>erhalten</th><th style='font-weight:bold;'>erinnern am</th></tr></thead>"; //<th>quittieren bis</th>
		$html = $html."<tbody>";
		
		foreach( $e[ 2 ] as $eintrag )
		{
			if ( strlen( $eintrag[ "quittiert_am" ] ) > 0 )
			{
				continue;
			}
			
			
			
			$fett	= "kein_fettdruck";
			
			if ( $eintrag[ "a_flag" ] == "1" )
			{
				$akte_pic = "<img src='img/folder.png' width='16px' height='16px' />";
			}
			else
			{
				$akte_pic = "<img src='img/empty.png' width='16px' height='16px' />";
			}
			
			if ( $eintrag[ "n_flag" ] == "1" )
			{
				$notiz_pic = "<img src='img/notes.png' width='16px' height='16px' />";
			}
			else
			{
				$notiz_pic = "<img src='img/empty.png' width='16px' height='16px' />";
			}
			
			if ( $eintrag[ "v_flag" ] == "1" )
			{
				$version_pic = "<img src='img/version.png' width='16px' height='16px' />";
			}
			else
			{
				$version_pic = "<img src='img/empty.png' width='16px' height='16px' />";
			}
			
			switch ( $eintrag[ "mime_type" ] )
			{
				case "application/msword":
					$icon = "<img src='img/ico_wrd.gif' />";
					break;
				case "application/octetstream":
				case "application/octet-st":
					$icon = "<img src='img/ico_app.gif' />";
					break;
				case "application/pdf":
					$icon = "<img src='img/ico_pdf.gif' />";
					break;
				case "application/vnd.ms-e":
					$icon = "<img src='img/ico_xls.gif' />";
					break;
				case "application/x-maff":
					$icon = "<img src='img/ico_maf.gif' />";
					break;
				case "text/html":
					$icon = "<img src='img/ico_htm.gif' />";
					break;
				case "image/gif":
					$icon = "<img src='img/ico_gif.gif' />";
					break;
				case "image/jpg":
				case "image/jpeg":
					$icon = "<img src='img/ico_jpg.gif' />";
					break;
				case "image/png":
					$icon = "<img src='img/ico_png.gif' />";
					break;
				case "text/akte":
					$icon = "<img src='img/ico_akt.gif' />";
					break;
				case "video/mp4":
					$icon = "<img src='img/ico_vid.gif' />";
					break;
				case "text/plain":
					$icon = "<img src='img/ico_txt.gif' />";
					break;
				case "text/xml":
					$icon = "<img src='img/ico_xml.gif' />";
					break;
				default:
					$icon = "<img src='img/ico_dok.gif' />";
					break;
				
			}
			
			if ( $eintrag[ "mime_type" ] == "text/akte" )
			{
				$konfig_option = 12;
			}
			else
			{
				
				$konfig_option = 11;
			}
			
			$direktes_oeffnen_pic = "<img src='img/open.png' width='16px' height='16px' style='cursor: pointer;' onclick='$( \"#dokumentanzeige\" ).load( \"su_web.php?cmd=verpacke_dok_in_tags&element=".$eintrag[ "dok_id" ]."&kategorie=".$eintrag[ "mime_type" ]."&konfig_option=".$konfig_option."&systemeinstellung=\" ); $( \"#dokumentanzeige\" ).show();' />";
			
			$icons = "<td style='width:88px;' ><img src='img/full_open.png'  style='cursor: pointer;' width='16px' height='16px' onclick='
			$( \"#dokumentanzeige\" ).show(); $( \"#dokumentanzeige\" ).load( \"su_web.php?cmd=liefere_dok_kompl&tab_panel=&element=".$eintrag[ "dok_id" ]."\" )' />".$direktes_oeffnen_pic.$akte_pic.$version_pic.$notiz_pic."</td><td class='mime_type' style='text-align: center;'>".$icon."</td>";
			
			if ( strlen( $eintrag[ "titel_lang" ] ) == 0 )
			{
				$eintrag[ "titel_lang" ] = "(".$eintrag[ "dokart_name" ].") Dokument-ID ".$eintrag[ "dok_id" ];
			}
			
			
			switch ( $eintrag[ "typ" ] )
			{
				case "0":
					// normaler Postkorbeintrag
					if ( $eintrag[ "gelesen" ] == "1" )
					{
						$display_ungelesen = "inline";
					}
					else
					{
						$display_ungelesen = "none";
					}
					
					//$ungelesen = "<button id='but_ungel_".$eintrag[ "element_id" ]."' style='font-size:10px; width:70px; display: ".$display_ungelesen.";' onclick=' $.ajax({ url:\"su_web.php\", data: { \"cmd\":\"setze_postkorb_element_als_ungelesen\", \"alpha_01\": \"".$benutzer_anmeldename."\", \"alpha_02\": \"".$mandant_name."\", \"alpha_03\": \"".$eintrag[ "dok_id" ]."\", \"alpha_04\": \"".$eintrag[ "element_id" ]."\" } }).done( function() { $( \"#d".$eintrag[ "element_id" ]."\" ).removeClass(\"kein_fettdruck\");$( \"#d".$eintrag[ "element_id" ]."\" ).addClass(\"fettdruck\");  $(\"#but_ungel_".$eintrag[ "element_id" ]."\").hide(); });' >ungelesen</button>";
					
					//$quittieren = "<button style='font-size:10px; width:70px;' onclick='$.ajax({ url:\"su_web.php\", data: { \"cmd\":\"quittiere_postkorb_element\", \"alpha_01\": \"".urlencode( $benutzer_anmeldename )."\", \"alpha_02\": \"".urlencode( $mandant_name )."\", \"alpha_03\": \"".$eintrag[ "dok_id" ]."\", \"alpha_04\": \"".$eintrag[ "element_id" ]."\" } }).done( function() { $( \"#ergebnis\" ).load( \"su_web.php?cmd=liefere_schreibtisch_inhalt&alpha_01=".urlencode( $text )."&alpha_02=".urlencode( $knoten_id )."&mandant_name=".urlencode( $mandant_name )."&benutzer_anmeldename=".urlencode( $benutzer_anmeldename )."\" );  }  );' >quittieren</button>";
					$quittieren = "";
					$ungelesen = "";
					//_web_quittiere_postkorb_element( $alpha_02 /*mandant_name*/, $alpha_01 /*benutzer_anmeldename*/, $alpha_03 /*dok_id*/, $alpha_04 /*Element-ID*/ );
					$buttons = $quittieren.$ungelesen;
				break;
			}
			
			
			
			$html = $html."<tr id='d".$eintrag[ "element_id" ]."' class='".$fett."'>".$icons."<td class='dok_id' style='display:none;'>".$eintrag[ "dok_id" ]."</td><td class='elem_id' style='display:none;'>".$eintrag[ "element_id" ]."</td><td>".$eintrag[ "titel_lang" ]."</td><td>".$eintrag[ "betreff" ]."</td><td>".$eintrag[ "empfaenger" ]."</td><td>".$eintrag[ "sender_benutzer" ]."</td><td>".$eintrag[ "empfangen_am" ]."</td><td style='font-weight:bold;'>".$eintrag[ "erinnern_am" ]."</td></tr>"; // <td>".$eintrag[ "quittieren_bis" ]."</td>
			$buttons = "";
		}
		$ansicht = liefere_benutzerspezifische_einstellung( $mandant_name, $benutzer_anmeldename, "us_recherche_doppelklick_oeffnet" );
		
		
		if ( ( $ansicht == "" ) || ( $ansicht == "Ausführlich" ) )
		{
			$ansicht_js = "var ref = $(this).find('.dok_id').text(); $( \"#dokumentanzeige\" ).show(), $( \"#dokumentanzeige\" ).load( \"su_web.php?cmd=liefere_dok_kompl&tab_panel=&element=\"+encodeURIComponent( ref ) );";
		}
		else
		{
			$ansicht_js = "var mime='test'; var mime_type = $(this).find('.mime_type').html(); var ref = $(this).find('.dok_id').text(); var k = mime_type.substr( 18, 3 ); var konfig_option = 5; switch ( k ){ 
			case 'pdf': mime = 'application/pdf'; break; 
			case 'jpe': case 'jpg': mime = 'image/jpeg'; break; 
			case 'wrd': mime = 'application/msword'; break; 
			case 'xsl': mime = 'application/vnd.ms-e'; break; 
			case 'htm': mime = 'text/html'; break; 
			case 'maf': mime = 'application/x-maff'; break; 
			case 'gif': mime = 'image/gif'; break;
			case 'png': mime = 'image/png'; break;
			case 'txt': mime = 'text/plain'; break;
			case 'xml': mime = 'text/xml'; break;
			case 'vid': mime = 'video/mp4'; break;
			case 'akt': mime = 'text/akte'; konfig_option = 12; break;
			case 'dok': mime = ''; break;
			
			
			};
			
			
			
			$( \"#dokumentanzeige\" ).show(); $( \"#dokumentanzeige\" ).load( \"su_web.php?cmd=verpacke_dok_in_tags&element=\"+encodeURIComponent( ref )+\"&kategorie=\"+encodeURIComponent( mime )+\"&konfig_option=\"+konfig_option+\"&systemeinstellung=\" );";
		}
		////$.ajax({ url:'su_web.php', data: { 'cmd':'setze_postkorb_element_als_gelesen', 'alpha_01': '".$benutzer_anmeldename."', 'alpha_02': '".$mandant_name."', 'alpha_03': ref, 'alpha_04': elem_id } }).done( function() { $( '#d'+elem_id ).removeClass('fettdruck'); $( \"#but_ungel_\"+elem_id ).show();  }  );
				
		$html = $html."</tbody></table><script>$('#postkorb_elemente".$z."').DataTable({ 'language': { 'url': 'js/dataTables.german.lang' }, 'bJQueryUI': true, 'searching': false, 'ordering':false, 'paging':false, 'scrollY': '400px', 'scrollCollapse': true, 'bAutoWidth': false });  $(document).on( 'dblclick', '#postkorb_elemente".$z." tr', function () {  ".$ansicht_js."  }); </script>";
		
		
		$html = $html."</center><center><div id='dokumentanzeige' style='max-width:1200px; overflow:auto;  text-align:left;'></div></center><br />";
	}
	else
	{
		$_SESSION[ "plugin_kein_output" ] = "ja";
	}
	//xlog( 5, "plugin_kein_output".$_SESSION[ "plugin_kein_output" ] );
	echo $html;
	$html = "";
?>